diff dotest @ 0:b8fca1c0f503

intial commit
author anatofuz
date Sat, 03 Nov 2018 22:49:27 +0900
parents
children 665fb2069aec
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/dotest	Sat Nov 03 22:49:27 2018 +0900
@@ -0,0 +1,13 @@
+#!/bin/zsh
+if [ $# -ne 1 ]; then
+	echo 'useage:) $cbc-tools/this.sh vmtest/nqp'
+	exit 1
+fi
+
+NQP_ORIGINAL="/mnt/dalmore-home/one/src/MoarVM_Original/nqp"
+TARGET_DIR=$1
+
+foreach testmoar (${TARGET_DIR}/*.moarvm)
+	echo $testmoar
+        ../MoarVM/moar --libpath=${NQP_ORIGINAL}/gen/moar/stage2 $testmoar
+end